package org.example;

import org.springframework.stereotype.Service;

import jakarta.annotation.PostConstruct;
import jakarta.annotation.PreDestroy;
import java.time.LocalTime;

@Service
public class GreetingService {

	private final static int MORNING = 6;
	private final static int AFTERNOON = 12;
	private final static int EVENING = 18;

	public String getGreeting() {
		return "Good " + getTimeOfDay();
	}

	private String getTimeOfDay() {
		int hour = LocalTime.now().getHour();
		if (hour < MORNING) return "night";
		else if (hour < AFTERNOON) return "morning";
		else if (hour < EVENING) return "afternoon";
		else return "evening";
	}

	@PostConstruct
	public void init() {
		System.out.println("--- GreetingService: init");
	}

	@PreDestroy
	public void cleanup() {
		System.out.println("--- GreetingService: cleanup");
	}
}
